Attean::RDF(3pm)

NAME
Attean::RDF - Utility package for exporting shorthand functions for constructing RDF objects

VERSION
This document describes Attean::RDF version 0.019

SYNOPSIS
  use v5.14;
  use Attean::RDF;

  my $s = blank('b');
  my $p = iri('http://xmlns.com/foaf/0.1/name');
  my $o = langliteral("Eve", "en");
  my $triple = triple($s, $p, $o);
  say $triple->as_string; # _:b <http://xmlns.com/foaf/0.1/name> "Eve"@en .

DESCRIPTION
This is a utility package for exporting shorthand functions for constructing RDF objects such as IRIs, Literals, Blanks, Triples, etc.

FUNCTIONS
All of the functions defined in this package may be exported (and are exported by default).

"variable( $value )"
    "Attean::Variable->new($value)"

"iri( $value )"
    "Attean::IRI->new($value)"

"blank( $value )"
    "Attean::Blank->new($value)"

"literal( $value )"
    "Attean::Literal->new($value)"

"dtliteral( $value, $dt )"
    "Attean::Literal->new( value => $value, datatype => $dt )"

"langliteral( $value, $lang )"
    "Attean::Literal->new( value => $value, language => $lang )"

"triple( @terms )"
    "Attean::Triple->new( @terms )"

"triplepattern( @terms )"
    "Attean::TriplePattern->new( @terms )"

"quad( @terms )"
    "Attean::Quad->new( @terms )"

"quadpattern( @terms )"
    "Attean::QuadPattern->new( @terms )"

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
IRI

<http://www.ietf.org/rfc/rfc3987.txt>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2018 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.